# Class PostAttackApplyBattlerTagAbAttr

#### Hierarchy (view full)

- PostAttackAbAttr
  - PostAttackApplyBattlerTagAbAttr

- Defined in src/data/ability.ts:1289

#####
Index

### Constructors

constructor

### Properties

chance
contactRequired
effects
showAbility

### Methods

addCondition
apply
applyPostAttack
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostAttackApplyBattlerTagAbAttr(contactRequired, chance, ...effects): PostAttackApplyBattlerTagAbAttr

- #### Parameters

  - contactRequired: boolean
  - chance: ((user, target, move) => number)
    - - (user, target, move): number

      - #### Parameters

        - user: default
        - target: default
        - move: default

        #### Returns number

  - `Rest` ...effects: BattlerTagType []

  #### Returns PostAttackApplyBattlerTagAbAttr

  Overrides PostAttackAbAttr.constructor

  - Defined in src/data/ability.ts:1295

## Properties

### `Private` chance

chance: ((user, target, move) => number)

#### Type declaration

- - (user, target, move): number

  - #### Parameters

    - user: default
    - target: default
    - move: default

    #### Returns number

- Defined in src/data/ability.ts:1291

### `Private` contactRequired

contactRequired: boolean

- Defined in src/data/ability.ts:1290

### `Private` effects

effects: BattlerTagType []

- Defined in src/data/ability.ts:1292

### showAbility

showAbility: boolean

Inherited from PostAttackAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostAttackAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostAttackAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostAttack

- applyPostAttack(pokemon, passive, attacker, move, hitResult, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - attacker: default
  - move: default
  - hitResult: HitResult
  - args: any[]

  #### Returns boolean

  Overrides PostAttackAbAttr.applyPostAttack

  - Defined in src/data/ability.ts:1303

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostAttackAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostAttackAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137